(in-package :oou)
(oou-provide :3D-PICT-button-di)
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; 3D-PICT-button-di.Lisp
;;
;; Copyright  1992 Northwestern University Institute for the Learning Sciences
;; All Rights Reserved
;;
;; author: Michael S. Engber
;;
;; 3D-PICT-button dialog items
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(oou-dependencies
 :PICT-di
 :frame-3D-svm)

(export '(3D-PICT-button-di))

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(defclass 3D-PICT-button-di (PICT-button-di frame-3D-svm) ())

(defmethod graphic-margins ((di 3D-PICT-button-di))
  (let ((p (make-point (frame-width di) (frame-width di))))
    (values p p)))

(defmethod (setf frame-width) :after (new-width (di 3D-PICT-button-di))
  (declare (ignore new-width))
  (when (eq :adjust-view-size (slot-value di 'graphic-scaling))
    (scale-view-size di)))

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
